<?php
/*
Plugin Name: Total - Woo Term Page Title Background
Description: Sets the defined term background as the page title background for your WooCommerce categories and tags.
Version: 1.0.0
Author: Aj Clarke
Author URI: http://www.wpexplorer.com
License: GPLv2
*/

// Start Class
class Total_Woo_Category_Page_Title_Background {

	/**
	 * Main constructor
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_action( 'wpex_page_header_style', array( 'Total_Woo_Category_Page_Title_Background', 'alter_page_header_style' ) );
		add_action( 'wpex_page_header_background_image', array( 'Total_Woo_Category_Page_Title_Background', 'alter_page_header_bg' ) );
	}

	/**
	 * Alters page header style
	 *
	 * @since 1.0.0
	 */
	public static function get_woo_cat_thumbnail_id() {
		$cat = get_queried_object()->term_id;
		$thumbnail_id = get_woocommerce_term_meta( $cat, 'thumbnail_id', true );
		return $thumbnail_id;
	}

	/**
	 * Alters page header style
	 *
	 * @since 1.0.0
	 */
	public static function alter_page_header_style( $style ) {
		if ( function_exists( 'wpex_is_woo_tax' ) && wpex_is_woo_tax() && self::get_woo_cat_thumbnail_id() ) {
			$style = 'background-image';
		}
		return $style;
	}

	/**
	 * Define page header background image
	 *
	 * @since 1.0.0
	 */
	public static function alter_page_header_bg( $image ) {
		if ( function_exists( 'wpex_is_woo_tax' ) && wpex_is_woo_tax() && $id = self::get_woo_cat_thumbnail_id() ) {
			$image = $id;
		}
		return $image;
	}

}
new Total_Woo_Category_Page_Title_Background;